'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umiDownloaderHttp = require('@metaplex-foundation/umi-downloader-http');
var umiEddsaWeb3js = require('@metaplex-foundation/umi-eddsa-web3js');
var umiHttpFetch = require('@metaplex-foundation/umi-http-fetch');
var umiProgramRepository = require('@metaplex-foundation/umi-program-repository');
var umiRpcWeb3js = require('@metaplex-foundation/umi-rpc-web3js');
var umiSerializerBeet = require('@metaplex-foundation/umi-serializer-beet');
var umiTransactionFactoryWeb3js = require('@metaplex-foundation/umi-transaction-factory-web3js');

const defaultPlugins = (endpoint, rpcOptions) => ({
  install(umi) {
    umi.use(umiSerializerBeet.beetSerializer());
    umi.use(umiProgramRepository.defaultProgramRepository());
    umi.use(umiHttpFetch.fetchHttp());
    umi.use(umiDownloaderHttp.httpDownloader());
    umi.use(umiEddsaWeb3js.web3JsEddsa());
    umi.use(umiRpcWeb3js.web3JsRpc(endpoint, rpcOptions));
    umi.use(umiTransactionFactoryWeb3js.web3JsTransactionFactory());
  }
});

exports.defaultPlugins = defaultPlugins;
//# sourceMappingURL=plugin.cjs.map
