import { httpDownloader } from '@metaplex-foundation/umi-downloader-http';
import { web3JsEddsa } from '@metaplex-foundation/umi-eddsa-web3js';
import { fetchHttp } from '@metaplex-foundation/umi-http-fetch';
import { defaultProgramRepository } from '@metaplex-foundation/umi-program-repository';
import { web3JsRpc } from '@metaplex-foundation/umi-rpc-web3js';
import { beetSerializer } from '@metaplex-foundation/umi-serializer-beet';
import { web3JsTransactionFactory } from '@metaplex-foundation/umi-transaction-factory-web3js';

const defaultPlugins = (endpoint, rpcOptions) => ({
  install(umi) {
    umi.use(beetSerializer());
    umi.use(defaultProgramRepository());
    umi.use(fetchHttp());
    umi.use(httpDownloader());
    umi.use(web3JsEddsa());
    umi.use(web3JsRpc(endpoint, rpcOptions));
    umi.use(web3JsTransactionFactory());
  }
});

export { defaultPlugins };
//# sourceMappingURL=plugin.mjs.map
